<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
    return $router->app->version();
});

$router->get('/getUser', 'MasheryGetUserController@getUser');

$router->group(['prefix' => 'mashery'], function () use ($router) {
    //mashery/token
    $router->get('token', 'MasheryController@getToken');

    //mashery/getUser?token={token}&username={mashery_username}
    $router->get('getUser', 'MasheryController@getUser');

    //mashery/createUser?token={}&username={}&email={}&dname={}&pass={}
    $router->get('createUser', 'MasheryController@createUser');
});
